> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Set card limit

> Set daily spending limit for a card.



## OpenAPI

````yaml /openapi.json put /api/v1/cards/{card_id}/limit
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/cards/{card_id}/limit:
    put:
      tags:
        - Cards
      summary: Set card limit
      description: Set daily spending limit for a card.
      operationId: set_card_limit_api_v1_cards__card_id__limit_put
      parameters:
        - name: card_id
          in: path
          required: true
          schema:
            type: string
            title: Card Id
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetCardLimitRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SetCardLimitRequest:
      properties:
        dailyLimit:
          anyOf:
            - type: number
            - type: 'null'
          title: Dailylimit
          description: Daily limit. Set to -1 to disable.
        monthlyLimit:
          anyOf:
            - type: number
            - type: 'null'
          title: Monthlylimit
          description: Monthly limit. Set to -1 to disable.
        lifetimeLimit:
          anyOf:
            - type: number
            - type: 'null'
          title: Lifetimelimit
          description: Lifetime limit. Set to -1 to disable.
        currency:
          type: string
          title: Currency
          description: Limit currency.
          default: EUR
      type: object
      title: SetCardLimitRequest
      description: Request to set card spending limits.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>

````